<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.FLDS.Ship.Start</name>
<version>13</version>
<engineversion>25</engineversion>
<description>Starts up FLDS for a Ship</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>--------------------------------------------------</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>Performs&#160;initial&#160;checks&#160;before&#160;passing&#160;control&#160;to&#160;the&#160;main&#160;loop</var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>--------------------------------------------------</var></comment></line>
<line linenr="006" indent=""></line>
<line linenr="007" indent=""><comment><text>*&#160;</text><var>Clear&#160;our&#160;shipment&#160;locals&#160;so&#160;that&#160;other&#160;ships&#160;know&#160;this&#160;ship&#160;is&#160;now&#160;idle</var></comment></line>
<line linenr="008" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'FLDS.Shipment.Source'</var><text>&#160;value=</text><var>null</var></line>
<line linenr="009" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'FLDS.Shipment.Destination'</var><text>&#160;value=</text><var>null</var></line>
<line linenr="010" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'FLDS.Shipment.Ware'</var><text>&#160;value=</text><var>null</var></line>
<line linenr="011" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'FLDS.Shipment.Amount'</var><text>&#160;value=</text><var>null</var></line>
<line linenr="012" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'FLDS.Shipment.Timeout'</var><text>&#160;value=</text><var>null</var></line>
<line linenr="013" indent=""></line>
<line linenr="014" indent=""><var>$Version&#160;=&#160;</var><text>get&#160;script&#160;version</text></line>
<line linenr="015" indent=""><var>$Version.Major&#160;=&#160;</var><var>$Version</var><text>&#160;</text><var>/</var><text>&#160;</text><var>100</var></line>
<line linenr="016" indent=""><var>$Version.Minor&#160;=&#160;</var><var>$Version</var><text>&#160;</text><var>mod</var><text>&#160;</text><var>100</var></line>
<line linenr="017" indent=""><var>$Message.Header&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>1</var><text>,&#160;</text><var>$Version.Major</var><text>,&#160;</text><var>$Version.Minor</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="018" indent=""><var>$Message.From&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>2</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="019" indent=""></line>
<line linenr="020" indent=""><comment><text>*&#160;</text><var>Check&#160;ship&#160;is&#160;small&#160;enough&#160;to&#160;dock&#160;and&#160;trade</var></comment></line>
<line linenr="021" indent=""><var>if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Little&#160;Ship</var></line>
<line linenr="022" indent="&#160;"><var>$Message.Body&#160;=&#160;</var><var>'FLDS&#160;only&#160;works&#160;on&#160;&#160;small&#160;&#160;ships.'</var></line>
<line linenr="023" indent="&#160;"><text>goto&#160;label&#160;</text><var>ERROR</var></line>
<line linenr="024" indent=""><text>end</text></line>
<line linenr="025" indent=""><comment><text>*&#160;</text><var>Check&#160;ship&#160;has&#160;a&#160;homebase</var></comment></line>
<line linenr="026" indent=""><var>if&#160;not&#160;</var><var>[HOMEBASE]</var></line>
<line linenr="027" indent="&#160;"><var>$Message.Body&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>101</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="028" indent="&#160;"><text>goto&#160;label&#160;</text><var>ERROR</var></line>
<line linenr="029" indent=""><text>end</text></line>
<line linenr="030" indent=""><comment><text>*&#160;</text><var>Check&#160;ship&#160;damage</var></comment></line>
<line linenr="031" indent=""><var>$Ship.Hull.Percent&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;hull&#160;percent</text></line>
<line linenr="032" indent=""><var>if&#160;</var><var>$Ship.Hull.Percent</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>80</var></line>
<line linenr="033" indent="&#160;"><var>$Message.Body&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>103</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="034" indent="&#160;"><text>goto&#160;label&#160;</text><var>ERROR</var></line>
<line linenr="035" indent=""><text>end</text></line>
<line linenr="036" indent=""><comment><text>*&#160;</text><var>Check&#160;cargo&#160;bay</var></comment></line>
<line linenr="037" indent=""><var>$Ship.Cargo.Size&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;cargo&#160;bay&#160;size</text></line>
<line linenr="038" indent=""><var>$Ship.Cargo.Free&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;volume&#160;of&#160;cargo&#160;bay</text></line>
<line linenr="039" indent=""><var>if&#160;</var><var>$Ship.Cargo.Free</var><text>&#160;</text><var>*</var><text>&#160;</text><var>10</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$Ship.Cargo.Size</var></line>
<line linenr="040" indent="&#160;"><var>$Message.Body&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>104</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="041" indent="&#160;"><text>goto&#160;label&#160;</text><var>ERROR</var></line>
<line linenr="042" indent=""><text>end</text></line>
<line linenr="043" indent=""></line>
<line linenr="044" indent=""><comment><text>*&#160;</text><var>Start&#160;our&#160;command&#160;monitor</var></comment></line>
<line linenr="045" interruptable="@" indent=""><var>if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.FLDS.Ship.Command.Monitor</call><text>&#160;:&#160;</text><text>&#160;Command=</text><var>COMMAND_FLDS_SHIP</var><text>&#160;</text><text>&#160;Local&#160;Flag&#160;Name=</text><var>'FLDS.Is.Running'</var></line>
<line linenr="046" indent="&#160;"><var>$Message.Body&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>102</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="047" indent="&#160;"><text>goto&#160;label&#160;</text><var>ERROR</var></line>
<line linenr="048" indent=""><text>end</text></line>
<line linenr="049" indent=""></line>
<line linenr="050" indent=""><comment><text>*&#160;</text><var>Compile&#160;a&#160;start&#160;message&#160;to&#160;inform&#160;the&#160;player</var></comment></line>
<line linenr="051" indent=""><var>$List.Of.Linked.Stations&#160;=&#160;</var><var>[HOMEBASE]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'FLDS.Linked.Stations'</var></line>
<line linenr="052" indent=""><var>$Index.Station&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$List.Of.Linked.Stations</var></line>
<line linenr="053" indent=""><var>if&#160;</var><var>$Index.Station</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="054" indent="&#160;"><var>$Message.Body&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>152</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="055" indent="&#160;"><var>while&#160;</var><var>$Index.Station</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="056" indent="&#160;&#160;"><text>dec&#160;</text><var>$Index.Station&#160;=&#160;</var></line>
<line linenr="057" indent="&#160;&#160;"><var>$Station&#160;=&#160;</var><var>$List.Of.Linked.Stations</var><text>[</text><var>$Index.Station</var><text>]</text></line>
<line linenr="058" indent="&#160;&#160;"><var>$Message.Station&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>153</var><text>,&#160;</text><var>$Station</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="059" indent="&#160;&#160;"><var>$Message.Body&#160;=&#160;</var><var>$Message.Body</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Message.Station</var></line>
<line linenr="060" indent="&#160;"><text>end</text></line>
<line linenr="061" indent=""><text>else</text></line>
<line linenr="062" indent="&#160;"><var>$Message.Body&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>9101</var><text>&#160;textid=</text><var>151</var><text>,&#160;</text><var>[HOMEBASE]</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="063" indent=""><text>end</text></line>
<line linenr="064" indent=""><var>$Message&#160;=&#160;</var><var>$Message.Header</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Message.From</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Message.Body</var></line>
<line linenr="065" indent=""><text>write&#160;to&#160;player&#160;logbook&#160;</text><var>$Message</var></line>
<line linenr="066" indent=""></line>
<line linenr="067" indent=""><comment><text>*&#160;</text><var>The&#160;main&#160;loop,&#160;keep&#160;going&#160;until&#160;a&#160;trip&#160;fails</var></comment></line>
<line linenr="068" indent=""><var>while&#160;</var><var>[TRUE]</var></line>
<line linenr="069" interruptable="@" indent="&#160;"><var>$Result&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.FLDS.Ship.Main</call><text>&#160;:&#160;</text></line>
<line linenr="070" indent="&#160;"><var>skip&#160;if&#160;</var><var>$Result</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'FLDS.Result.Success'</var></line>
<line linenr="071" indent="&#160;&#160;"><text>break</text></line>
<line linenr="072" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>2000</var><text>&#160;ms</text></line>
<line linenr="073" indent=""><text>end</text></line>
<line linenr="074" indent=""><text>return&#160;</text><var>null</var></line>
<line linenr="075" indent=""></line>
<line linenr="076" indent=""><var>ERROR</var><text>:</text></line>
<line linenr="077" indent=""><comment><text>*&#160;</text><var>Notify&#160;the&#160;player</var></comment></line>
<line linenr="078" indent=""><var>$Message&#160;=&#160;</var><var>$Message.Header</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Message.From</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Message.Body</var></line>
<line linenr="079" indent=""><text>send&#160;incoming&#160;message&#160;</text><var>$Message</var><text>&#160;to&#160;player:&#160;display&#160;it=</text><var>[FALSE]</var></line>
<line linenr="080" indent=""><text>return&#160;</text><var>[FALSE]</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.FLDS.Ship.Start" /><sval type="int" val="25" /><sval type="string" val="Starts up FLDS for a Ship" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="array" size="15"><sval type="string" val="Version" /><sval type="string" val="Version.Major" /><sval type="string" val="Version.Minor" /><sval type="string" val="Message.Header" /><sval type="string" val="Message.From" /><sval type="string" val="Message.Body" /><sval type="string" val="Ship.Hull.Percent" /><sval type="string" val="Ship.Cargo.Size" /><sval type="string" val="Ship.Cargo.Free" /><sval type="string" val="List.Of.Linked.Stations" /><sval type="string" val="Index.Station" /><sval type="string" val="Station" /><sval type="string" val="Message.Station" /><sval type="string" val="Message" /><sval type="string" val="Result" /></sval><sval type="array" size="53"><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="FLDS.Shipment.Source" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="FLDS.Shipment.Destination" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="FLDS.Shipment.Ware" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="FLDS.Shipment.Amount" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="FLDS.Shipment.Timeout" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="1031" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="14" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="15" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="15" /><sval type="int" val="-2" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536867580" /><sval type="int" val="12" /><sval type="int" val="2133" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="FLDS only works on  small  ships." /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536866812" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="101" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="4"><sval type="int" val="900" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607613" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="80" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="4"><sval type="int" val="611" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="612" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="8" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610606333" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /><sval type="int" val="5" /><sval type="int" val="-4" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.FLDS.Ship.Command.Monitor" /><sval type="int" val="-536863740" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="18" /><sval type="int" val="430" /><sval type="int" val="5" /><sval type="string" val="FLDS.Is.Running" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="102" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="49" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="5" /><sval type="string" val="FLDS.Linked.Stations" /><sval type="int" val="9" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602749" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="152" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602999" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="153" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="32" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="40" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="9101" /><sval type="int" val="4" /><sval type="int" val="151" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="3"><sval type="int" val="400" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610600439" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.FLDS.Ship.Main" /><sval type="int" val="14" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536859129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="5" /><sval type="string" val="FLDS.Result.Success" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="48" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="2000" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="42" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="ERROR" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="5"><sval type="int" val="203" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval></sval><sval type="int" val="0" /><sval type="array" size="31"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="--------------------------------------------------" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Performs initial checks before passing control to the main loop" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="--------------------------------------------------" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Clear our shipment locals so that other ships know this ship is now idle" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="10" /><sval type="int" val="1" /><sval type="string" val="Check ship is small enough to dock and trade" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="13" /><sval type="int" val="1" /><sval type="string" val="Check ship has a homebase" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="16" /><sval type="int" val="1" /><sval type="string" val="Check ship damage" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="20" /><sval type="int" val="1" /><sval type="string" val="Check cargo bay" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="25" /><sval type="int" val="1" /><sval type="string" val="Start our command monitor" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="28" /><sval type="int" val="1" /><sval type="string" val="Compile a start message to inform the player" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="42" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="42" /><sval type="int" val="1" /><sval type="string" val="The main loop, keep going until a trip fails" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="48" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="50" /><sval type="int" val="1" /><sval type="string" val="Notify the player" /></sval></sval><sval type="string" val="Starts FLDS" /></sval>
</codearray>
</script>
